The slot/counter.hpp header defines macros used to generate numbers that are unique within a translation unit.

#### Usage

#include <boost/preprocessor/slot/counter.hpp>

#### Contents

- BOOST_PP_COUNTER
- BOOST_PP_UPDATE_COUNTER

© Copyright Housemarque Oy 2002 © Copyright Paul Mensonides 2002

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)